#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Geometry-Planar-GPC
Summary:	Math::Geometry::Planar::GPC - Perl wrapper for Alan Murta's gpc library
Summary(pl.UTF-8):	Math::Geometry::Planar::GPC - interfejs perlowy do biblioteki gpc Alana Murty
Name:		perl-Math-Geometry-Planar-GPC
Version:	1.04
Release:	4
# perl interface is under "Artistic" license, but gpc itself is non-commercial
License:	non-commercial use, freely distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0f059f596abba73eee7f0ffcee134567
URL:		http://search.cpan.org/dist/Math-Geometry-Planar-GPC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Math-Geometry-GPC
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is just a wrapper around the gpc (Generic Polygon
Clipping) C library written by Alan Murta.

%description -l pl.UTF-8
Ten moduł jest interfejsem do biblioteki C gpc (Generic Polygon
Clipping - ogólnego obcinania wielokątów) autorstwa Alana Murty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Math/Geometry
%dir %{perl_vendorarch}/Math/Geometry/Planar
%{perl_vendorarch}/Math/Geometry/Planar/GPC.pm
%dir %{perl_vendorarch}/auto/Math/Geometry
%dir %{perl_vendorarch}/auto/Math/Geometry/Planar
%dir %{perl_vendorarch}/auto/Math/Geometry/Planar/GPC
%{perl_vendorarch}/auto/Math/Geometry/Planar/GPC/GPC.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Geometry/Planar/GPC/GPC.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Geometry-Planar-GPC.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f79dbdc
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 13c5a40
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> a5a7d51
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e6f9abe
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e9b2360
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 60baeda
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 211f8c4
- mass commit: cosmetics (removed trailing white spaces)

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 495b029
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> c95e7e4
- massive attack s/pld.org.pl/pld-linux.org/

* Thu May 06 2004 ankry <ankry@pld-linux.org> d549218
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> b07c7b0
- use the __perl macro

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 8eafb73
- cosmetics, unification

* Sun Oct 26 2003 Jakub Bogusz <qboosh@pld-linux.org> ebb3a22
- new

